### Method

# AppStream Metadata components_to_catalog

#### Declaration [src]

    gchar*
    as_metadata_components_to_catalog (
      AsMetadata* metad,
      AsFormatKind format,
      GError** error
    )

#### Description [src]

Serialize all `AsComponent` instances into AppStream catalog metadata. `NULL` is returned if there is nothing to serialize.

#### Parameters

`format`

  Type: `AsFormatKind`

  The format to serialize the data to (XML or YAML).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string containing the YAML or XML data. Free with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.